# Amazon search

GET `/search/amazon`

This endpoint lets you to search for products on Amazon.

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Query parameters**

| Parameter | Type    | Description                                                                   |
| --------- | ------- | ----------------------------------------------------------------------------- |
| `count`   | integer | Number of products to return per page. The default is 20. The maximum is 250. |
| `page`    | integer | Page number of pagination. The default is 1.                                  |
| `q`       | string  | Search query.                                                                 |

**Example request**

`GET https://zues.searchagora.com/api/v1/search/amazon?q=red%20shoes`

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": "success",
  "Products": [
    {
      "_id": "amazon_B08N5WRWNW",
      "name": "Sony WH-1000XM4 Wireless Headphones",
      "price": 348.00,
      "originalPrice": 399.99,
      "images": [
        "https://m.media-amazon.com/images/I/71o8Q5XJS5L._AC_SL1500_.jpg"
      ],
      "url": "https://www.amazon.com/dp/B08N5WRWNW",
      "slug": "B08N5WRWNW",
      "brand": "Sony",
      "storeName": "Amazon",
      "source": "amazon",
      "averageRating": 4.7,
      "description": "Industry-leading noise canceling with Dual Noise Sensor technology...",
      "availability": "In Stock",
      "position": 1,
      "asin": "B08N5WRWNW"
    }
    // ... more products
  ],
  "hasMore": true,
  "count": 1000,
  "storeBrandMatch": [],
  "source": "amazon",
  "secondhand": false,
  "page": 1,
  "limit": 20
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "status": "error",
  "message": "Search query (q) is required"
}
```

{% endtab %}

{% tab title="500" %}

```json
{
"status": "error",
"message": "Amazon search failed",
"Products": [],
"hasMore": false,
"count": 0,
"storeBrandMatch": [],
"source": "amazon",
"secondhand": false,
"page": 1,
"limit": 20
}
```

{% endtab %}
{% endtabs %}
